# $Revision: 1.20 $, $Date: 2002/10/08 15:14:14 $
%define		arname		mod_mp3
%define		mod_name	mp3
%define 	apxs		/usr/sbin/apxs
Summary:	MP3 Apache module
Summary(pl):	Modu MP3 do Apache
Name:		apache-mod_mp3
Version:	0.39
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	http://software.tangent.org/download/%{arname}-%{version}.tar.gz
Source1:	%{arname}.conf
URL:		http://media.tangent.org/
Requires:	apache >= 1.3.12
Prereq:		grep
Prereq:		apache(EAPI) >= 1.3.12
Prereq:		%{_sbindir}/apxs
Provides:	%{arname}
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel >= 1.3.12
BuildRequires:	expat-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _pkglibdir      %(%{apxs} -q LIBEXECDIR)
%define         _sysconfdir     /etc/httpd

%prep
%setup -q -n %{arname}-%{version}

%description
This turns apache into your basic RIAA hating, but every college
student loving mp3 streaming server. It can play from a list of files,
either straight through or randomly. It can also be used to cache
mp3's into memory and have the server operate entirely from memory.
Enjoy, groove, mp3s not included.

%description -l pl
Ten pakiet zamienia Twojego Apache w znienawidzony przez RIAA, ale
uwielbiany przez studentw serwer strumieni MP3. Moe odtwarza list
plikw, w kolejnoci lub losowo. Moe by take uyty do buforowania
plikw mp3 w pamici, pozwalajc serwerowi operowa wycznie na
pamici. Baw si dobrze; pliki mp3 nie s zaczone.

%build
./configure
%{__make} APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}

install src/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{apxs} -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f %{_sysconfdir}/httpd.conf ] && \
	! grep -q "^Include.*/%{arname}.conf" %{_sysconfdir}/httpd.conf; then
		echo "Include %{_sysconfdir}/%{arname}.conf" >> %{_sysconfdir}/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	grep -E -v "^Include.*%{arname}.conf" %{_sysconfdir}/httpd.conf > \
	%{_sysconfdir}/httpd.conf.tmp
	mv -f %{_sysconfdir}/httpd.conf.tmp %{_sysconfdir}/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog LICENSE faq.html support
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mod_mp3.conf
%attr(755,root,root) %{_pkglibdir}/mod_mp3.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_mp3.spec,v $
Revision 1.20  2002/10/08 15:14:14  grzegorz
- up to 0.39 STBR

Revision 1.19  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.18  2002/08/11 19:17:47  kloczek
- change Source url to http (seems some problems with ftp).

Revision 1.17  2002/07/26 13:11:12  grzegorz
- up to 0.38
- dont gzip doc's
- STBR

Revision 1.16  2002/04/25 15:46:18  arturs
fixed a small typo

Revision 1.15  2002/04/23 12:26:07  kloczek
- updated to 0.35.

Revision 1.14  2002/04/23 09:18:09  arturs
License field change

Revision 1.13  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/17 21:08:31  ankry
- release 2

Revision 1.10  2002/02/17 18:52:20  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.9  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/19 01:48:18  kloczek
- updated to 0.31.

Revision 1.7  2001/11/10 20:54:58  grzegorz
- update to 0.30, STBR

Revision 1.6  2001/11/10 16:45:29  jajcus
- s/Distibutable/distributable/ in License

Revision 1.5  2001/10/29 00:57:19  kloczek
- release 2.

Revision 1.4  2001/10/28 18:28:52  qboosh
- pl description

Revision 1.3  2001/10/28 08:47:48  grzegorz
- added %%verify(not size mtime md5) to %%{_sysconfdir}/mod_mp3.conf
- added pl summary

Revision 1.2  2001/10/05 23:14:18  kloczek
- s/apache/apache(EAPI)/
- added apache(EAPI) to Prereq,
- cosmetics.

Revision 1.1  2001/10/05 13:17:50  grzegorz
- initial PLD spec
- added sample mod_mp3.conf file
